Skip to content

Sale/Void cancel

| View as Markdown

A void transaction is a transaction that is cancelled by a merchant or vendor before it settles through a consumer’s debit or credit card account. This API is used to make a transaction void — it reverses the deducted amount based on original RRN. If the request has valid details, the sale will be cancelled.

https://kraken.airpay.co.in/airpay/ms/pos/api/cancel-txn
FieldTypeDescription
mercidStringMerchant Id (length 1-12, required)
orderidStringOrder ID (length 4-12, required)
amountNumberAmount (length 12,2, required)
uniqueidString(Unique ID is a unique identifier and have unique value,length 4-10, required)
postxntypeNumberPost Transaction Type (length 1, required)
01 - Sale/Purchase (Transaction Type is either sale or purchase)
08 - Void (Cancel the transaction)
07 - Pre auth (Holds the amount for some period of time)
10 - Sale completion (Use the preauth amount.This amount will be deducted from the account)
11 - Auth Release (Cancel the auth)
originalrrnString12 digit unique number to verify the transaction whether it is success or failure (length 20, not required)
In case of void it is required.
In case of sale it is not required.
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/pos/api/cancel-txn' \
--header 'content-type: application/x-www-form-urlencoded' \
--data-urlencode 'amount=1.00' \
--data-urlencode 'orderid=180554' \
--data-urlencode 'mercid=18999' \
--data-urlencode 'uniqueid=012686' \
--data-urlencode 'postxntype=01' \
--data-urlencode 'originalrrn=003511588415'
FieldTypeDescription
statusNumberStatus Code
messageStringStatus Message
HTTP/1.1 200 OK
{
"status": 200​, "message": []
}
{
"status": 502,
"message": []
}